<?php
require_once(BASEPATH . '/vendor/autoload.php');
require_once(BASEPATH . '/App/config.php');

// Creates twig and the view() function
require_once(BASEPATH . '/vendor/4lt/novaconium/src/twig.php');

// Start a Session
require_once(BASEPATH . '/vendor/4lt/novaconium/src/Session.php');
$session = new Session();

// Load Database Class
require_once(BASEPATH . '/vendor/4lt/novaconium/src/Database.php');
$db = new Database($config['database']);

// Load a controller
require_once(BASEPATH . '/vendor/4lt/novaconium/src/Router.php');
$router = new Router();
//$router->debug();
require_once($router->controllerPath);

//write the session
$session->write();